System.Web 2.0.0.0 System.Enum System.Flags

The enumeration is used to represent the different node types that are available in the control. The following table describes the three different node types.

Node type

Description

Leaf

A node with no child nodes.

Parent

A node with a parent node and one or more child nodes.

Root

A node with no parent node and one or more child nodes.

The enumeration is a flag enumeration, which allows you to combine values through bitwise operations. For example, to represent the parent and leaf nodes, you can perform a bitwise OR operation on the and values.

The property uses the enumeration to represent the node types that display check boxes in the control. When it is set to a value other than the value, check boxes are displayed next to the specified node type, which allows users to select multiple items from the control.

Represents the different node types (leaf, parent, and root) in the control.

- Field
  System.Web.UI.WebControls.TreeNodeTypes

  All nodes.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeNodeTypes

  A node with no child nodes.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeNodeTypes

  No nodes.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeNodeTypes

  A node with a parent node and one or more child nodes.

  2.0.0.0
- Field
  System.Web.UI.WebControls.TreeNodeTypes

  A node with no parent node and one or more child nodes.

  2.0.0.0